<template>
  <VApp class="login-layout">
    <!-- main -->
    <VMain>
      <VContainer class="fill-height" fluid>
        <VRow no-gutters align="center" justify="center">
          <VCol lg="4" md="5" sm="9" cols="12">
            <Nuxt />
          </VCol>
        </VRow>
      </VContainer>
    </VMain>

    <!-- footer -->
    <VFooter height="auto" class="justify-center" color="primary" dark>
      <!-- left -->
      Copyright © {{ new Date().getFullYear() }} Leonardo C. Carvalho
      <!-- right -->
      <VSpacer />
      <VIcon color="red">mdi-heart</VIcon>
    </VFooter>

    <!-- popup: msg -->
    <FloatMsg />
  </VApp>
</template>

<script lang="ts">
import { Component, Vue } from 'nuxt-property-decorator'

@Component({
  components: {
    FloatMsg: () => import('@/components/layouts/FloatMsg.vue'),
  },
})
export default class Login extends Vue {}
</script>

<style lang="scss">
.login-layout {
  position: relative;
  background: linear-gradient(#3595e8, #3576ad) !important;
  color: #fff;

  &::before {
    content: '';
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: url('~assets/img/bg-main.png') center bottom no-repeat;
    mix-blend-mode: screen;
  }

  .login--header {
    .img {
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
      z-index: 1;
    }
  }
}
</style>
